<template>
  
    <v-dialog
      v-model="dialog"
      width="1000px"
    >
      

      <v-card>
        <v-card-title
          class="headline grey lighten-2 pt-2 pb-2"
          primary-title
        >
          Laporan
        </v-card-title>
        <v-card-text class="pt-2 pb-2">

          <v-layout>
              <v-flex xs12>
                  <object data="https://anggrek.aplikasi.web.id/one-ui/test/vuex/common/under-cons.pdf"
                    width="100%"></object>
              </v-flex>
          </v-layout>
          
        </v-card-text>
        <v-divider></v-divider>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn
            color="primary"
            @click="dialog = false"
            flat
          >
            Tutup
          </v-btn>

        </v-card-actions>
      </v-card>
    </v-dialog>
  
</template>

<style scoped>
</style>

<script>
module.exports = {
    components : {
    },
    methods : {
       tuing: function() {
          alert('x')
       },

        processMee () {
            this.$store.dispatch('order/process')
        }
    },
    computed : {
       dialog: {
          get() {
             return this.$store.state.order.confirm_process_dialog_is_active;
          },
          set(val) {
             this.$store.commit('order/update_confirm_process_dialog_is_active', val);
          }
       },

       queue_number () {
         return this.$store.state.order.queue_number
       }
    }
}
</script>
